﻿(function () { 
  var validParameterNames = [ "httpStatus", "failureName", "failureUrl" ]; 
  
  function parseQueryParameters() { 
    var query = location.search.slice(1); 
    return query.split("&").reduce(function (queryParameters, rawPair) {
                                   var pair = rawPair.split("=").map(decodeURIComponent);
                                   queryParameters[pair[0]] = pair[1];
                                   return queryParameters;
    }, {});
  }
 
  function initialize() {
    var queryParameters = parseQueryParameters();
    validParameterNames.forEach(function (parameterName) {
        var value = queryParameters[parameterName];
        var parameterValue = queryParameters[parameterName] || "N/A"; 
        document.getElementById(parameterName + "Value").textContent = parameterValue;
        if (parameterName === "failureUrl") {
            // update the url of the retry button
            if (value) {
                document.getElementById("retry").addEventListener('click', () => window.location.replace(value));
            } else {
                // hide retry button if no URL
                document.getElementById("retry").style.display = "none";
            }
            
        }
    });
    // terminate the app when clicking the exit button
    document.getElementById('exit').addEventListener('click', () => window.MSApp.terminateApp(new Error('')));
  }
  
  document.addEventListener("DOMContentLoaded", initialize);
}());
